Package org.linphone.core

# Enum Class Call.State

java.lang.Object
java.lang.Enum<Call.State>
org.linphone.core.Call.State

All Implemented Interfaces:
  `Serializable`, `Comparable<Call.State>`, `Constable`

Enclosing interface:
  `Call`

public static enum Call.State extends Enum<Call.State>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Connected`
Connected.
`EarlyUpdatedByRemote`
The call is updated by remote while not yet answered (SIP UPDATE in early
dialog received)
`EarlyUpdating`
We are updating the call while not yet answered (SIP UPDATE in early dialog
sent)
`End`
Call end.
`Error`
Error.
`Idle`
Initial state.
`IncomingEarlyMedia`
We are proposing early media to an incoming call.
`IncomingReceived`
Incoming call received.
`OutgoingEarlyMedia`
Outgoing call early media.
`OutgoingInit`
Outgoing call initialized.
`OutgoingProgress`
Outgoing call in progress.
`OutgoingRinging`
Outgoing call ringing.
`Paused`
Paused.
`PausedByRemote`
Paused by remote.
`Pausing`
Pausing.
`PushIncomingReceived`
PushIncoming call received.
`Referred`
Referred.
`Released`
The call object is now released.
`Resuming`
Resuming.
`StreamsRunning`
Streams running.
`UpdatedByRemote`
The call's parameters are updated for example when video is asked by remote.
`Updating`
We have initiated a call update.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static Call.State`
`fromInt(int value)`
`int`
`toInt()`
`static Call.State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Call.State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Idle

public static final Call.State Idle
Initial state.

### IncomingReceived

public static final Call.State IncomingReceived
Incoming call received.

### PushIncomingReceived

public static final Call.State PushIncomingReceived
PushIncoming call received.

### OutgoingInit

public static final Call.State OutgoingInit
Outgoing call initialized.

### OutgoingProgress

public static final Call.State OutgoingProgress
Outgoing call in progress.

### OutgoingRinging

public static final Call.State OutgoingRinging
Outgoing call ringing.

### OutgoingEarlyMedia

public static final Call.State OutgoingEarlyMedia
Outgoing call early media.

### Connected

public static final Call.State Connected
Connected.

### StreamsRunning

public static final Call.State StreamsRunning
Streams running.

### Pausing

public static final Call.State Pausing
Pausing.

### Paused

public static final Call.State Paused
Paused.

### Resuming

public static final Call.State Resuming
Resuming.

### Referred

public static final Call.State Referred
Referred.

### Error

public static final Call.State Error
Error.

### End

public static final Call.State End
Call end.

### PausedByRemote

public static final Call.State PausedByRemote
Paused by remote.

### UpdatedByRemote

public static final Call.State UpdatedByRemote
The call's parameters are updated for example when video is asked by remote.

### IncomingEarlyMedia

public static final Call.State IncomingEarlyMedia
We are proposing early media to an incoming call.

### Updating

public static final Call.State Updating
We have initiated a call update.

### Released

public static final Call.State Released
The call object is now released.

### EarlyUpdatedByRemote

public static final Call.State EarlyUpdatedByRemote
The call is updated by remote while not yet answered (SIP UPDATE in early
dialog received)

### EarlyUpdating

public static final Call.State EarlyUpdating
We are updating the call while not yet answered (SIP UPDATE in early dialog
sent)

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static Call.State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Call.State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static Call.State fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()